当前位置: 首页 > 网络学院 >

安恒紧急漏洞预警: Linux Glibc溢出漏洞凶猛来袭

新客网 XKER.COM 时间:2015-02-03 05:23:26来源:晓忆 51cto.com  评论:

GNU glibc 标准库的 gethostbyname 函数爆出缓冲区溢出漏洞,漏洞编号:CVE-2015-0235,该漏洞可以让攻击者直接远程获取操作系统的控制权限。

这个漏洞影响到了自从2000年以来的几乎所有的GNU/Linux发行版,攻击者对GNU/Linux进行远程利用,在glibc中的__nss_hostname_digits_dots()函数的堆缓冲区溢出漏洞造成,这个函数由_gethostbyname函数调用。

RedHat的安全通告中也确认了是高危远程利用,“一个攻击者可以远程利用拿下对端进程当前的权限。” 有人在*EMBARGO*结束前就公开了此漏洞信息,目前从Qualys的安全通告中可以看到,这个漏洞在GLIBC upstream代码于2013年5月21日已经修复,但当时GLIBC社区只把它当成了一个BUG而非漏洞,所以导致GNU/Linux发行版社区没有去做修复工作,目前Qualys宣称POC可以在32/64位的GNU/Linux上绕过ASLR/PIE/NX的防御组合,未来一段时间Qualys会公布POC到Metasploit中。

安恒信息建议广大用户尽快给操作系统打上补丁,此外,管理员在修补漏洞的同时千万不要忘记查看服务器或网站是否已经被入侵,是否存在后门文件等,尽量将损失和风险控制在可控范围内。安恒信息目前也安排了24小时电话紧急值班(400-605-9110),随时协助有需要的客户解决该漏洞。


本文来源:晓忆 51cto.com

如果您喜欢本文请分享给您的好友,谢谢!

评论列表(网友评论仅供网友表达个人看法,并不表明本站同意其观点或证实其描述)